Problema ao instalar Epic Games Store

Opa pessoal
Eu instalei a Epic Games Store no meu Ubuntu através do script do Lutris, porém ao iniciar o aplicativo ele me retorna uma mensagem falando que minha placa de video não é suportada. Ao instalar os prerequisites ele falha na instalação do directx, mas não sei se isso tem alguma relação. Captura%20de%20tela%20de%202019-07-14%2023-40-50

Alguém já passou por isso?

qual a sua placa de video e você tem que confirmar que está com todas as dependências do lutris instaladas como o Vulkan.

1 Curtida

É um notebook híbrido com uma Intel HD4000 onboard e uma AMD Radeon HD7730M dedicada.
Atualmente tenho alguns jogos instalados pela steam e lutris (guild wars 2, final fantasy xiv, the witcher 3), então realmente não acredito que seja questão de falta de dependências.
Testei instalar no windows que tenho em dual boot aqui até para garantir que uma atualização da epic store não tinha quebrado o aplicativo para o meu hardware, mas lá funcionou normalmente.

acho que você não entendeu por usar windows como exemplo, o aplicativo é feito para windows e em DX, o Linux usa um interprete do DX para o VK para executar, o intel HD4000 acho que não tem suporte, o AMD HD 7k sim, veja se não é alguma confusão do linux com placas hibridas.

e aqui diz que um erro com a instalação do DX é normal, pode ignorar e continuar.

1 Curtida

Por isso que eu falei que achava que não era o problema de instalação do directx.
Ele já está sendo iniciado pela placa dedicada através do DRI_PRIME no lutris (confirmei que ela está sendo utilizada pelo radeontop).
Quanto ao caso da intel não ser compatível com vulkan, não acredito que a store chega a chamar o vulkan. Nenhuma chama ao menos, pois eu abro Steam, Origin e a BattleNet normalmente no linux utilizando a placa da intel.

se você abriu pelo lutris foi pelo vulkan sim, API gráfico você sempre vai usar uma e o Lutris já vem configurado pra usar ele de padrão.
remove e tenta de novo. vai que muda alguma coisa.

1 Curtida

A Epic Games Store no Lutris é por OpenGL (veja nas configurações e em Arguments).

1 Curtida

Pior ainda então :stuck_out_tongue: deveria funcionar mesmo com a Intel.
Eu já não gostava muito da Epic Store no windows, que bugava a interface, ficava com uma resolução quebrada e tals antigamente. Agora no linux só ódio ahahahaha

1 Curtida

instalando pelo lutris